/* eslint import/no-webpack-loader-syntax: off */
import theme from "../build";
var defaultTheme = {
  spaceEighth: theme.spaceEighth,
  spaceQuarter: theme.spaceQuarter,
  spaceHalf: theme.spaceHalf,
  spaceThreeQuarters: theme.spaceThreeQuarters,
  spaceOne: theme.spaceOne,
  spaceOneAndHalf: theme.spaceOneAndHalf,
  spaceTwo: theme.spaceTwo,
  spaceThree: theme.spaceThree,
  spaceFour: theme.spaceFour,
  fontSizeS: theme.fontSizeS,
  fontSizeM: theme.fontSizeM,
  fontSizeN: theme.fontSizeN,
  fontSizeL: theme.fontSizeL,
  fontSizeXl: theme.fontSizeXl,
  fontSize2xl: theme.fontSize2xl,
  fontSize3xl: theme.fontSize3xl,
  fontSize4xl: theme.fontSize4xl,
  lineHeightN: theme.lineHeightN,
  lineHeightS: theme.lineHeightS,
  fontFamilyMain: theme.fontFamilyMain,
  fontFamilyFallback: theme.fontFamilyFallback,
  fontFamily: theme.fontFamily,
  radiusLight: theme.radiusLight,
  radiusRegular: theme.radiusRegular,
  radiusHeavy: theme.radiusHeavy,
  borderSizeLight: theme.borderSizeLight,
  borderSizeRegular: theme.borderSizeRegular,
  borderSizeHeavy: theme.borderSizeHeavy,
  colorThemeTemp: theme.colorThemeTemp,
  colorDarkTemp: theme.colorDarkTemp,
  colorLightTemp: theme.colorLightTemp
};
export default defaultTheme;
export var MAP_SPACE = {
  0: 0,
  0.25: theme.spaceQuarter,
  0.5: theme.spaceHalf,
  0.75: theme.spaceThreeQuarters,
  1: theme.spaceOne,
  1.5: theme.spaceOneAndHalf,
  2: theme.spaceTwo,
  3: theme.spaceThree,
  4: theme.spaceFour
};
export var MAP_ICONS = {
  small: theme.spaceOne,
  regular: theme.spaceOneAndHalf,
  big: theme.spaceTwo
};
export var SPACE_TYPES = ["0", "0.25", "0.5", "0.75", "1", "1.5", "2", "3", "4"];
export var HEADING_LEVEL_TYPES = [1, 2, 3, 4, 5, 6, "1", "2", "3", "4", "5", "6"];
export var TEXT_ALIGN_TYPES = ["center", "left", "right", "initial"];
export var INPUT_TYPES = ["button", "submit", "checkbox", "radio", "text", "number"];
export var SIZES_TYPES = ["regular", "small", "big"];
export var ICON_SIZES_TYPES = ["inherit"].concat(SIZES_TYPES);
export var DISPLAY_TYPES = ["block", "inline", "inline-block", "flex", "inline-flex"];
export var ELEVATION_TYPES = [0, 1, 2, 3, "0", "1", "2", "3"];
export var POSITION_TYPES = ["relative", "static", "absolute", "fixed", "sticky", "initial"];
export var DIRECTION_XY_TYPES = ["x", "y", "xy"];
export var DIRECTION_SIDES_TYPES = ["top", "bottom", "left", "right"];
export var DIRECTION_TYPES = [].concat(DIRECTION_XY_TYPES, DIRECTION_SIDES_TYPES);
export var PLACEMENT_Y_TYPES = ["top", "bottom"];
export var PLACEMENT_X_TYPES = ["left", "right"];
export var PLACEMENT_TYPES = [].concat(PLACEMENT_Y_TYPES, PLACEMENT_X_TYPES);
export var ASPECT_RATIO_TYPES = ["", "1:1", "4:3", "16:9", "3:4", "9:16", "2:1", "1:2"];
export var IMG_FIT_TYPES = ["fill", "cover", "contain", "initial"];
export var FLEX_DIR_TYPES = ["row", "column"];
export var FLEX_ALIGN_TYPES = ["start", "flex-start", "center", "end", "flex-end", "baseline", "stretch", "initial"];
export var FLEX_ALIGNSELF_TYPES = ["start", "flex-start", "center", "end", "flex-end", "auto", "baseline", "stretch", "initial"];
export var FLEX_JUSTIFY_TYPES = ["start", "flex-start", "center", "end", "flex-end", "space-between", "space-around", "initial"];
export var FLEX_SIZE_TYPES = [0, 1, 2, 3, 4, "0", "1", "2", "3", "4", "initial"];