"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.TEXT_ALIGN_TYPES = exports.SPACE_TYPES = exports.SIZES_TYPES = exports.POSITION_TYPES = exports.PLACEMENT_Y_TYPES = exports.PLACEMENT_X_TYPES = exports.PLACEMENT_TYPES = exports.MAP_SPACE = exports.MAP_ICONS = exports.INPUT_TYPES = exports.IMG_FIT_TYPES = exports.ICON_SIZES_TYPES = exports.HEADING_LEVEL_TYPES = exports.FLEX_SIZE_TYPES = exports.FLEX_JUSTIFY_TYPES = exports.FLEX_DIR_TYPES = exports.FLEX_ALIGN_TYPES = exports.FLEX_ALIGNSELF_TYPES = exports.ELEVATION_TYPES = exports.DISPLAY_TYPES = exports.DIRECTION_XY_TYPES = exports.DIRECTION_TYPES = exports.DIRECTION_SIDES_TYPES = exports.ASPECT_RATIO_TYPES = void 0;

var _build = _interopRequireDefault(require("../build"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/* eslint import/no-webpack-loader-syntax: off */
var defaultTheme = {
  spaceEighth: _build["default"].spaceEighth,
  spaceQuarter: _build["default"].spaceQuarter,
  spaceHalf: _build["default"].spaceHalf,
  spaceThreeQuarters: _build["default"].spaceThreeQuarters,
  spaceOne: _build["default"].spaceOne,
  spaceOneAndHalf: _build["default"].spaceOneAndHalf,
  spaceTwo: _build["default"].spaceTwo,
  spaceThree: _build["default"].spaceThree,
  spaceFour: _build["default"].spaceFour,
  fontSizeS: _build["default"].fontSizeS,
  fontSizeM: _build["default"].fontSizeM,
  fontSizeN: _build["default"].fontSizeN,
  fontSizeL: _build["default"].fontSizeL,
  fontSizeXl: _build["default"].fontSizeXl,
  fontSize2xl: _build["default"].fontSize2xl,
  fontSize3xl: _build["default"].fontSize3xl,
  fontSize4xl: _build["default"].fontSize4xl,
  lineHeightN: _build["default"].lineHeightN,
  lineHeightS: _build["default"].lineHeightS,
  fontFamilyMain: _build["default"].fontFamilyMain,
  fontFamilyFallback: _build["default"].fontFamilyFallback,
  fontFamily: _build["default"].fontFamily,
  radiusLight: _build["default"].radiusLight,
  radiusRegular: _build["default"].radiusRegular,
  radiusHeavy: _build["default"].radiusHeavy,
  borderSizeLight: _build["default"].borderSizeLight,
  borderSizeRegular: _build["default"].borderSizeRegular,
  borderSizeHeavy: _build["default"].borderSizeHeavy,
  colorThemeTemp: _build["default"].colorThemeTemp,
  colorDarkTemp: _build["default"].colorDarkTemp,
  colorLightTemp: _build["default"].colorLightTemp
};
var _default = defaultTheme;
exports["default"] = _default;
var MAP_SPACE = {
  0: 0,
  0.25: _build["default"].spaceQuarter,
  0.5: _build["default"].spaceHalf,
  0.75: _build["default"].spaceThreeQuarters,
  1: _build["default"].spaceOne,
  1.5: _build["default"].spaceOneAndHalf,
  2: _build["default"].spaceTwo,
  3: _build["default"].spaceThree,
  4: _build["default"].spaceFour
};
exports.MAP_SPACE = MAP_SPACE;
var MAP_ICONS = {
  small: _build["default"].spaceOne,
  regular: _build["default"].spaceOneAndHalf,
  big: _build["default"].spaceTwo
};
exports.MAP_ICONS = MAP_ICONS;
var SPACE_TYPES = ["0", "0.25", "0.5", "0.75", "1", "1.5", "2", "3", "4"];
exports.SPACE_TYPES = SPACE_TYPES;
var HEADING_LEVEL_TYPES = [1, 2, 3, 4, 5, 6, "1", "2", "3", "4", "5", "6"];
exports.HEADING_LEVEL_TYPES = HEADING_LEVEL_TYPES;
var TEXT_ALIGN_TYPES = ["center", "left", "right", "initial"];
exports.TEXT_ALIGN_TYPES = TEXT_ALIGN_TYPES;
var INPUT_TYPES = ["button", "submit", "checkbox", "radio", "text", "number"];
exports.INPUT_TYPES = INPUT_TYPES;
var SIZES_TYPES = ["regular", "small", "big"];
exports.SIZES_TYPES = SIZES_TYPES;
var ICON_SIZES_TYPES = ["inherit"].concat(SIZES_TYPES);
exports.ICON_SIZES_TYPES = ICON_SIZES_TYPES;
var DISPLAY_TYPES = ["block", "inline", "inline-block", "flex", "inline-flex"];
exports.DISPLAY_TYPES = DISPLAY_TYPES;
var ELEVATION_TYPES = [0, 1, 2, 3, "0", "1", "2", "3"];
exports.ELEVATION_TYPES = ELEVATION_TYPES;
var POSITION_TYPES = ["relative", "static", "absolute", "fixed", "sticky", "initial"];
exports.POSITION_TYPES = POSITION_TYPES;
var DIRECTION_XY_TYPES = ["x", "y", "xy"];
exports.DIRECTION_XY_TYPES = DIRECTION_XY_TYPES;
var DIRECTION_SIDES_TYPES = ["top", "bottom", "left", "right"];
exports.DIRECTION_SIDES_TYPES = DIRECTION_SIDES_TYPES;
var DIRECTION_TYPES = [].concat(DIRECTION_XY_TYPES, DIRECTION_SIDES_TYPES);
exports.DIRECTION_TYPES = DIRECTION_TYPES;
var PLACEMENT_Y_TYPES = ["top", "bottom"];
exports.PLACEMENT_Y_TYPES = PLACEMENT_Y_TYPES;
var PLACEMENT_X_TYPES = ["left", "right"];
exports.PLACEMENT_X_TYPES = PLACEMENT_X_TYPES;
var PLACEMENT_TYPES = [].concat(PLACEMENT_Y_TYPES, PLACEMENT_X_TYPES);
exports.PLACEMENT_TYPES = PLACEMENT_TYPES;
var ASPECT_RATIO_TYPES = ["", "1:1", "4:3", "16:9", "3:4", "9:16", "2:1", "1:2"];
exports.ASPECT_RATIO_TYPES = ASPECT_RATIO_TYPES;
var IMG_FIT_TYPES = ["fill", "cover", "contain", "initial"];
exports.IMG_FIT_TYPES = IMG_FIT_TYPES;
var FLEX_DIR_TYPES = ["row", "column"];
exports.FLEX_DIR_TYPES = FLEX_DIR_TYPES;
var FLEX_ALIGN_TYPES = ["start", "flex-start", "center", "end", "flex-end", "baseline", "stretch", "initial"];
exports.FLEX_ALIGN_TYPES = FLEX_ALIGN_TYPES;
var FLEX_ALIGNSELF_TYPES = ["start", "flex-start", "center", "end", "flex-end", "auto", "baseline", "stretch", "initial"];
exports.FLEX_ALIGNSELF_TYPES = FLEX_ALIGNSELF_TYPES;
var FLEX_JUSTIFY_TYPES = ["start", "flex-start", "center", "end", "flex-end", "space-between", "space-around", "initial"];
exports.FLEX_JUSTIFY_TYPES = FLEX_JUSTIFY_TYPES;
var FLEX_SIZE_TYPES = [0, 1, 2, 3, 4, "0", "1", "2", "3", "4", "initial"];
exports.FLEX_SIZE_TYPES = FLEX_SIZE_TYPES;